Skip to Content

Health

getHealth

Returns service status and current timestamp.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getHealth",
  "params": {},
  "id": 1
}

Response Fields

FieldType
statusstring
timestampstring
Try It
{
  "jsonrpc": "2.0",
  "method": "getHealth",
  "params": {},
  "id": 1
}

getChainHealth

Pings the chain's RPC node and returns status, current block height, and response latency in milliseconds. Returns HTTP 503 with status "degraded" or "down" if the RPC is unreachable.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getChainHealth",
  "params": {
    "chain": "ethereum"
  },
  "id": 1
}

Parameters

NameRequiredDescription
chainyesNetwork slug

Response Fields

FieldType
dataobject
chainstring
statusstring
typestring
blockHeightinteger
latencyMsinteger
timestampstring

Supported Networks

EthereumPolygonBNB ChainOptimismBaseAvalancheArbitrumGnosisMoonbeamLineaHyperliquidSolanaBitcoin
Try It
{
  "jsonrpc": "2.0",
  "method": "getChainHealth",
  "params": {
    "chain": "ethereum"
  },
  "id": 1
}